Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xquery10.o
Class OXQuery10ExpressionBPEL20

    java.lang.Object
      org.apache.ode.bpel.o.OBase
          org.apache.ode.bpel.o.OExpression
              org.apache.ode.bpel.o.OLValueExpression
                  org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression
                      org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20
                          org.apache.ode.bpel.elang.xpath20.o.OXPath20ExpressionBPEL20
                              org.apache.ode.bpel.elang.xquery10.o.OXQuery10ExpressionBPEL20

All Implemented Interfaces:
  java.io.Serializable

    public class OXQuery10ExpressionBPEL20

extends OXPath20ExpressionBPEL20

A representation of an XQuery expression

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression
`OXPath10Expression.OSigGetVariableData`

Field Summary
`java.lang.String` | `xquery`

Fields inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20
`isJoinExpression, qname_doXslTransform`

Fields inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression
`links, namespaceCtx, properties, qname_getLinkStatus, qname_getVariableData, qname_getVariableProperty, vars, xpath, xslSheets`

Fields inherited from class org.apache.ode.bpel.o.OLValueExpression
`insertMissingData`

Fields inherited from class org.apache.ode.bpel.o.OExpression
`expressionLanguage`

Fields inherited from class org.apache.ode.bpel.o.OBase
`debugInfo`

Constructor Summary
`OXQuery10ExpressionBPEL20(OProcess owner, javax.xml.namespace.QName qname_getVariableData, javax.xml.namespace.QName qname_getVariableProperty, javax.xml.namespace.QName qname_getLinkStatus, javax.xml.namespace.QName qname_doXslTransform, boolean isJoinExpression)`

Method Summary

Methods inherited from class org.apache.ode.bpel.elang.xpath20.o.OXPath20ExpressionBPEL20
`getCompiledExpr, setCompiledExpr`

Methods inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20
`toString`

Methods inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression
`addGetVariableDataSig, getVariable, getXslSheet, resolveGetVariableDataSig, setXslSheet`

Methods inherited from class org.apache.ode.bpel.o.OExpression
`getExpressionLanguage`

Methods inherited from class org.apache.ode.bpel.o.OBase
`dehydrate, equals, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### xquery

    public java.lang.String xquery

Constructor Detail

### OXQuery10ExpressionBPEL20

    public OXQuery10ExpressionBPEL20(OProcess owner,
                                     javax.xml.namespace.QName qname_getVariableData,
                                     javax.xml.namespace.QName qname_getVariableProperty,
                                     javax.xml.namespace.QName qname_getLinkStatus,
                                     javax.xml.namespace.QName qname_doXslTransform,
                                     boolean isJoinExpression)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD